nvidia-libopencl1-331和wine1.7有冲突?

Ubuntu国外衍生版本或其它衍生版本
回复
xu1074
帖子: 23
注册时间: 2009-08-18 1:30
送出感谢: 0
接收感谢: 0

nvidia-libopencl1-331和wine1.7有冲突?

#1

帖子 xu1074 » 2014-06-22 11:41

mint 17 cinnamon 32位
因每次挂起或休眠,唤醒时,输入用户密码后,解锁窗口消失后,停在那个背景界面不动;切换到其他用户也是这样,只能切换到字符界面重启才行。而网上查不到类似情况。
因此考虑装闭源NV驱动(我直接从系统设置里激活安装的),昨天装完后顺利启动,挂起,休眠正常。
但是今天要用中信证券,QQ(TM2013)时,发现不能启动了,查看wine菜单,wine没有了,playonlinux也没有了,试着重装wine1.7提示会卸载nvidia-libopencl1-331。
请教,卸载nvidia-libopencl1-331会有问题吗?nvidia-libopencl1-331这个包具体有啥用?
头像
astolia
论坛版主
帖子: 3184
注册时间: 2008-09-18 13:11
送出感谢: 1 次
接收感谢: 537 次

Re: nvidia-libopencl1-331和wine1.7有冲突?

#2

帖子 astolia » 2014-06-22 23:12

wine需要32位和64位的opencl库,但nvidia-libopencl1-331的32位和64位不能同时安装。所以安装它就会导致wine的依赖关系不满足而被卸载。
卸载nvidia-libopencl1-331不会有问题,会自动安装上ocl-icd-libopencl1,只不过比nvidia-libopencl1-331性能上应该会差一些
xu1074
帖子: 23
注册时间: 2009-08-18 1:30
送出感谢: 0
接收感谢: 0

Re: nvidia-libopencl1-331和wine1.7有冲突?

#3

帖子 xu1074 » 2014-06-27 16:52

astolia 写了:wine需要32位和64位的opencl库,但nvidia-libopencl1-331的32位和64位不能同时安装。所以安装它就会导致wine的依赖关系不满足而被卸载。
卸载nvidia-libopencl1-331不会有问题,会自动安装上ocl-icd-libopencl1,只不过比nvidia-libopencl1-331性能上应该会差一些
谢谢!
头像
风之武者qh
帖子: 7
注册时间: 2012-08-25 13:50
送出感谢: 0
接收感谢: 0

Re: nvidia-libopencl1-331和wine1.7有冲突?

#4

帖子 风之武者qh » 2014-07-20 9:12

我想请问下,也就是说 ,用wine 就不能用 n卡专有驱动,用专有驱动,就不能用 wine 是吗 ?
头像
astolia
论坛版主
帖子: 3184
注册时间: 2008-09-18 13:11
送出感谢: 1 次
接收感谢: 537 次

Re: nvidia-libopencl1-331和wine1.7有冲突?

#5

帖子 astolia » 2014-07-21 15:33

风之武者qh 写了:我想请问下,也就是说 ,用wine 就不能用 n卡专有驱动,用专有驱动,就不能用 wine 是吗 ?
专有驱动和wine不冲突。wine的那段err:winediag:xrandr12_init_modes Broken NVIDIA RandR detected, falling back to RandR 1.0. Please consider using the Nouveau driver instead提示有其历史原因,如果你不是多显示器的话完全可以忽略
回复

回到 “Ubuntu国外衍生版”